Subject: bug#22107: 25.1; Wrong docstring for this-single-command-keys

From: Artur Malabarba <[email-masked]>
Date: Sun, 13 Dec 2015 20:53:39 +0000

On 13 Dec 2015 3:37 pm, "Eli Zaretskii" <[email-masked]> wrote:
>
> Do you have a suggestion for how to fix this-command-keys?  AFAIU, the
> last part of this discussion was trying to find a way of doing that.

Define a variable (current-prefix-arg-keys, maybe) that gets set and
cleared in the same way as current-prefix-arg. This variable holds the keys
that were used to invoke the prefix args.

Then this-command-keys simply needs to check that variable and prepend it
to the return value.